//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : npc's -- HEADER
// created (by) : Christian Behrenberg, 2007-11-17
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	// SEA GULLS
		void npc_seagull ();
			void npc_seagull_init ();
	
	// FISHES
		void npc_fish_init ();
		void npc_fishMom ();
		void npc_fishKid ();
				void act_fish_searchMom (ENTITY* kid, var search);
	
	// PENGUIN NPC's
		void npc_pen_event ();
		void npc_penWatch ();
		void npc_penPatrol ();
	
	// ESKIMO NPC's
		void npc_esk_event ();
		void npc_eskWatch ();
		void npc_eskSit ();
		void npc_eskPatrol ();
	
	// ELF NPC's
		void npc_elfWave ();
		
//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	#define ID_NPC_FISH_MOM 50001