//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// shader       : alpha test
// created (by) : Christian Behrenberg, 2007-11-17
//--------------------------------------------------------------------

extern texture entSkin1;

technique alphaTestMaterial
{
	pass p0
	{
		alphaBlendEnable = false;
		alphaTestEnable = true;
		zWriteEnable = true;
		AlphaRef=90;
	}
	pass p1
	{
		alphaBlendEnable = true;
		alphaTestEnable = false;
		zWriteEnable = false;
		zFunc = less;
	}
}

technique fallback
{
	pass p0{
	Texture[0]=<entSkin1>;}
}