//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : music -- HEADER
// created (by) : Christian Behrenberg, 2007-12-01
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPES
//--------------------------------------------------------------------

	void music_splash_start();
	void music_splash_stop();

	void music_menu_start();
	void music_menu_stop();

	void music_story_start();
	void music_story_stop();

	void music_level_start();
	void music_level_stop();

	void music_gameOver_start();
	void music_gameOver_stop();

	void music_credits_start();
	void music_credits_stop();
	
//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	var music_splash;
		char* music_splashFile = "media\\jinglebells.ogg";
	
	var music_menu;
		char* music_menuFile = "media\\jinglebells2.ogg";
		
	var music_story;
	var music_storySpeech;
		char* music_storyFile = "media\\sugarplum.ogg";
		char* music_storySpeechFile = "media\\speechStory.ogg";
	
	var music_level;
		int music_levelFiles_current = 0;
		TEXT* music_levelFiles = {
			strings = 4;
			string =	"media\\jinglebells.ogg",
						"media\\housetop.ogg",
						"media\\jinglebells2.ogg",
						"media\\deckthehalls2.ogg";
		}
	
	var music_gameOver;
		char* music_gameOverFile = "media\\deckthehalls.ogg";
	
	var music_credits;
		char* music_creditsFile = "media\\sugarplum.ogg";