//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : objects -- HEADER
// created (by) : Christian Behrenberg, 2007-11-01
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	// LEVELGATE
		void obj_gate ();
			void obj_gate_sparkle ();
			void obj_gateCam ();
			void obj_gateEnvr ();
			void obj_gateTrig ();
	
	// ESKIMO STUFF
		void obj_iglu ();
		void obj_leverage ();
		void obj_fishDead ();
		void obj_fireOff ();
		void obj_fireOn ();
	
	// PENGUIN STUFF
		void obj_nest ();
	
	// ICEHOTEL
		void obj_hotelRoom ();
		void obj_hotelFront ();
		void obj_hotelSign ();
	
	// SANTA STUFF
		void obj_santaSign ();
		void obj_candyCane ();
			void obj_candyCaneColl ();
			void obj_candycaneColl ();
	
	// ENVIRONMENT STUFF
		void obj_fence ();
			void obj_fencePass ();
		void obj_snowman ();
			void obj_snowmanColl ();
		void obj_sign ();
	
	// WATER STUFF
		void obj_iceA7 ();
		
//--------------------------------------------------------------------
// DEFINES & VARIABLES
//--------------------------------------------------------------------

	int obj_gate_threshold = 0;				//with x packets left the gate is opened
	char* obj_gate_openAnim_str = "gate";
	var obj_gate_openAnim_speed = 5;