//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : resolution independent display -- HEADER
// created (by) : Christian Behrenberg, 2007-11-04
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	var ri (var in, var reference, var currentMeasure);
		var ri_x (var in);
		var ri_y (var in);
	void ri_refreshPanel (PANEL* panel, VECTOR* pos);

//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	// Reference scale: 1024x768. If you work with another resolution
	// e.g. 800x600, change it *here*

		#define RI_REFRES_X	1024
		#define RI_REFRES_Y	768
